> For the complete documentation index, see [llms.txt](https://docs.esimpay.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.esimpay.net/eng/api/supported-devices.md).

# Supported Devices

Compatible devices with platform and vendor.

List of eSIM-capable devices.

## Get list of supported devices

> \
> Returns a list of all eSIM-capable devices.  \
> Requires authentication via the \`CF-MERCHANT-ID\` header.  \
> Returns a list of devices with their name, platform, and vendor.<br>

```json
{"openapi":"3.1.1","info":{"title":"API","version":"v1"},"tags":[{"name":"Devices","description":"List of eSIM-capable devices."}],"servers":[{"url":"https://api.esimpay.net/api/v1"}],"paths":{"/customer/esimCapable":{"get":{"operationId":"get_devices","summary":"Get list of supported devices","description":"\nReturns a list of all eSIM-capable devices.  \nRequires authentication via the `CF-MERCHANT-ID` header.  \nReturns a list of devices with their name, platform, and vendor.\n","parameters":[{"schema":{"type":"string"},"name":"CF-MERCHANT-ID","in":"header","description":"Merchant identifier for authentication","required":true}],"responses":{"200":{"description":"Device list retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string"},"message":{"type":"string"},"device":{"description":"List of supported devices","type":"array","items":{"type":"object","properties":{"name":{"description":"Device name","type":"string"},"platform":{"description":"Device platform","type":"string"},"vendor":{"description":"Device vendor","type":"string"}}}}}}}}},"401":{"description":"Authentication error or general error","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string"},"message":{"type":"string"}}}}}}},"tags":["Devices"]}}}}
```
